package com.ss.android.ugc.aweme.web.jsbridge;

import X.0CB;
import X.0CH;
import X.6Is;
import X.FIu;
import X.KKi;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.fe.base.BaseCommonJavaMethod;
import java.lang.ref.WeakReference;
import org.json.JSONObject;

public class CopyMethod extends BaseCommonJavaMethod implements 6Is {
    public WeakReference<Context> LIZ;

    static {
        Covode.recordClassIndex(124438);
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        CopyMethod.super.onStateChanged(r1, r2);
    }

    public CopyMethod(KKi kKi, WeakReference<Context> weakReference) {
        super(kKi);
        this.LIZ = weakReference;
    }

    public void handle(JSONObject jSONObject, FIu fIu) {
        fIu.LIZ(0, "clip board manager not supported");
    }
}
